Mambo::ClearZero:=proc(ev)
  local local_ev,i,j;
  begin
    if testtype(ev,MamboVector) then
      local_ev:=table("Type"="Vector","Size"=0);
      for i from 1 to ev["Size"] do
        if norm(ev[i]["Coordinates"],2)<>0 then
          local_ev["Size"]:=local_ev["Size"]+1;
          local_ev[local_ev["Size"]]:=ev[i];
        end_if;
      end_for;
      return(MamboVector(local_ev));
    elif testtype(ev,MamboDescription) then
      local_ev:=op(ev);
      for i from 1 to ev["Size"][1] do
        for j from 1 to ev["Size"][2] do
          local_ev[i,j]:=Mambo::ClearZero(local_ev[i,j]);
        end_for;
      end_for;
      return(MamboDescription(local_ev));
    end_if;
    error("Invalid argument!");
  end_proc: