Mambo::CoeffExtract:=proc(ev:MamboDescription,coeffs:Type::ListOf(DOM_IDENT))
  local local_ev,betamatrix,i,j,k,result,Cmat,bmat;
  begin
    if ev["Size"][2]<>1 then error("Incompatible argument!"); end_if;
    betamatrix:=op(Mambo::_NullDescription(ev["Size"][1],nops(coeffs)));
    for i from 1 to ev["Size"][1] do
      for j from 1 to nops(coeffs) do
        local_ev:=op(ev[i,1]);
        result:=Mambo::NullVector();
        for k from 1 to ev[i,1]["Size"] do
          A:=linalg::expr2Matrix([op(ev[i,1][k]["Coordinates"])],[coeffs[j]]);
          local_ev[k]["Coordinates"]:=linalg::col(A, 1);
          result:=Mambo::MamboPlus(result,MamboVector(table("Type"="Vector","Size"=1,1=local_ev[k])));
        end_for;
        betamatrix[i,j]:=result;
      end_for;
    end_for;
    return(MamboDescription(betamatrix));
  end_proc: