Mambo::DiffTime:=proc(x)
  local result,i,j,temp;
  begin
    if not testtype(x,Type::Union(MamboVector,MamboDescription)) then 
      if not testtype(x,Type::Union(DOM_LIST,DOM_SET,Dom::Matrix)) then
        return(subs(diff(subs(x,GlobalExplicit),t),GlobalImplicit));
      else
        return(subs(map(subs(x,GlobalExplicit),diff,t),GlobalImplicit));
      end_if;
    elif args(0)=2 and testtype(x,MamboVector) then
      result:=Mambo::NullVector();
      for i from 1 to x["Size"] do
        temp:=table(["Type"="Vector","Size"=1,1=table(["Coordinates"=x[i]["Coordinates"],
          "Triad"=x[i]["Triad"]])]);
        result:=Mambo::MamboPlus(Mambo::MamboPlus(result,MamboVector(table(["Type"="Vector","Size"=1,
          1=table(["Coordinates"=Mambo::DiffTime(x[i]["Coordinates"]),"Triad"=x[i]["Triad"]])]))),
                Mambo::MamboCross(Mambo::AngularVelocity(args(2),x[i]["Triad"]),temp));
      end_for;
      return(result);
    elif args(0)=2 and testtype(x,MamboDescription) then
      result:=op(x);
      for i from 1 to x["Size"][1] do
        for j from 1 to x["Size"][2] do
          result[i,j]:=Mambo::DiffTime(result[i,j],args(2));
        end_for;
      end_for;
      return(MamboDescription(result));
    else error("Incompatible argument!");
    end_if;
  end_proc: