Mambo::FindTranslation:=proc(point1:DOM_IDENT,point2:DOM_IDENT)
  local path,conn;
  begin
    if point1=point2 then return(NullVector()); end_if;
    if contains(GlobalPointDefinitions,point1,point2) then
     return(GlobalPointDefinitions[point1,point2]);
    else
      path:=Mambo::FindPath(point1,point2,GlobalPointDeclarations);
      if nops(path)=0 then error("No path exists between the points! ".point1." ".point2); end_if;
      for conn from 3 to nops(path) do
        if not contains(GlobalPointDefinitions,point1,path[conn]) then
          GlobalPointDefinitions[point1,path[conn]]:=
            Mambo::MamboPlus(GlobalPointDefinitions[point1,path[conn-1]],
              GlobalPointDefinitions[path[conn-1],path[conn]]);
          GlobalPointDefinitions[path[conn],point1]:=Mambo::MamboMult(-1,
            GlobalPointDefinitions[point1,path[conn]]);
        end_if;
      end_for;
      return(GlobalPointDefinitions[point1,point2]);
    end_if;
  end_proc: