Mambo::GeometryOutput:=proc()
  local i,k,root,tims,stas,pars,anis,vars,checkarg,checktre,fd,output_file,temp;
  begin
    stas:={};pars:={};anis:={};vars:={};tims:=`t`;
    output_file:=`terminal`;checkarg:=FALSE;checktre:=FALSE;
    if args(0)>=1 then
      for each in [args()] do
        if testtype(each,Type::Equation()) then
          LHS:=op(each,1);
          RHS:=op(each,2);
          case LHS
            of `main` do
              if testtype(RHS,DOM_IDENT) then root:=RHS; end_if; break
            of `time` do
              if testtype(RHS,DOM_IDENT) then tims:=RHS; end_if; break
            of `states`do
              if testtype(RHS,Type::Union(Type::ListOf(Type::Union(DOM_IDENT,Type::Equation(DOM_IDENT,Type::Numeric))),Type::SetOf(Type::Union(DOM_IDENT,Type::Equation(DOM_IDENT,Type::Numeric))))) then stas := {_seqgen(op(RHS[i],1),i,1..nops(RHS))}; end_if; break
            of `parameters`do
              if testtype(RHS,Type::Union(Type::ListOf(Type::Union(DOM_IDENT,Type::Equation(DOM_IDENT,Type::Numeric))),Type::SetOf(Type::Union(DOM_IDENT,Type::Equation(DOM_IDENT,Type::Numeric))))) then pars := {_seqgen(op(RHS[i],1),i,1..nops(RHS))}; end_if; break
            of `anims`do
              if testtype(RHS,Type::Union(Type::ListOf(Type::Union(DOM_IDENT,Type::Equation(DOM_IDENT,Type::Arithmetical))),Type::SetOf(Type::Union(DOM_IDENT,Type::Equation(DOM_IDENT,Type::Arithmetical))))) then anis := {_seqgen(op(RHS[i],1),i,1..nops(RHS))}; end_if; break
            of `filename` do
              if testtype(RHS,DOM_STRING) or RHS=`terminal` then output_file:=RHS; end_if; break
            otherwise
              error("Unrecognized property for object !".k." ".object_type);
          end_case;
        elif each=`checkargs` then checkarg:=TRUE;
        elif each=`checktree` then checktre:=TRUE;
        else 
          error("bad option ".each)
        end_if; 
      end_for;
      if testtype(root,DOM_NULL) then error("No main observer selected!"); end_if;
      if checkarg then vars:={tims} union stas union pars union anis; end_if;
    else error("Too few arguments!");
    end_if;
    if not Mambo::IsDeclared(root,`Observer`) then error("Root is not declared ".root); end_if;
    temp:=Mambo::GeomOut(root,[checktre,checkarg,vars]);
    if output_file=`terminal` then
      print(Unquoted,temp);
    else
      fd:=fopen(output_file,Write,Text);
      fprint(Unquoted,NoNL,fd,temp);
      fclose(fd);
    end_if;
  end_proc: