Mambo::MamboPlus := proc(ev1:Type::Union(MamboVector,MamboDescription),ev2:Type::Union(MamboVector,MamboDescription))
  local local_ev,i,j;
  begin
    local_ev:=op(ev1);
    if ev1["Type"]<>ev2["Type"] then error("Incompatible arguments!"); end_if;
    if testtype(ev1,MamboVector) then
      for i from 1 to ev2["Size"] do
        j:=1;
        while j<=ev1["Size"] and ev2[i]["Triad"]<>ev1[j]["Triad"] do j:=j+1; end_while;
        if j<=ev1["Size"] then 
          local_ev[j]["Coordinates"]:=ev1[j]["Coordinates"]+ev2[i]["Coordinates"];
        else 
          local_ev["Size"]:=local_ev["Size"]+1;
          local_ev[local_ev["Size"]]:=ev2[i];
        end_if;
      end_for; 
      return(Mambo::ClearZero(MamboVector(local_ev)));
    else
      if ev1["Size"]<>ev2["Size"] then error("Incompatible arguments!"); end_if;
      for i from 1 to ev1["Size"][1] do
        for j from 1 to ev1["Size"][2] do
          local_ev[i,j]:=Mambo::MamboPlus(ev1[i,j],ev2[i,j]);
        end_for;
      end_for;
      return(Mambo::ClearZero(MamboDescription(local_ev)));
    end_if;
  end_proc:
