Mambo::_DefineNeighbor:=proc(name1:symbol,name2:symbol)
  begin
    if nops(Mambo::FindPath(name1,name2,GlobalObserverDeclarations))>1 then
      error(": Path already exists!");
    elif not Mambo::IsDeclared(name1,`Observer`) then
      error(": Observer not declared!",name1);
    elif not Mambo::IsDeclared(name2,`Observer`) then
      error(": Observer not declared!",name2);
    else
      GlobalObserverDeclarations[name1]:=GlobalObserverDeclarations[name1] union {name2};
      GlobalObserverDeclarations[name2]:=GlobalObserverDeclarations[name2] union {name1};
    end_if;
  end_proc: