Mambo::_MakeRotation:=proc(angle)
  local lambda,lambdaskew,axis;
  begin
    if args(0)=1 and testtype(angle,matrix) then 
      if testtype(angle,Type::Numeric) and not linalg::isUnitary(angle) then warning("Matrix not orthogonal!"); end_if;
      return(angle);
    elif args(0)>1 then
      axis:=args(2..args(0));
      if args(0)=2 and testtype(axis,DOM_INT) then
        lambda:=matrix(3,1,(i,j)->kroneckerDelta(i,axis));
      elif args(0)=4 then
        lambda:=matrix([axis])/norm(matrix([axis]),2);
      else error("Invalid argument!");
      end_if;
      lambdaskew:=matrix(3,3,[(1,2)=-lambda[3],(1,3)=lambda[2],(2,3)=-lambda[1],(2,1)=lambda[3],(3,1)=-lambda[2],(3,2)=lambda[1]]);
      return(matrix(3,3,(i,j)->kroneckerDelta(i,j))*cos(angle)+lambda*transpose(lambda)*(1-cos(angle))+sin(angle)*lambdaskew);
    end_if;
    error("Invalid argument!");
  end_proc: