Mambo::DefineName:=proc(object_name,object_type)
  local path;
  begin
    if not Mambo::IsDeclared(op(object_name,1),object_type) then 
      error("Undeclared argument! ".op(object_name,1));
    end_if;
    if object_type=`Observer` then
      if Mambo::IsDefined(op(object_name,1),`Observer`) then
        error("Observer already defined!");
      else
        if not Mambo::IsDeclared(op(object_name,2),`Point`) then
          error("Reference point not declared! ".op(object_name,2));
        elif not Mambo::IsDeclared(op(object_name,3),`Triad`) then 
          error("Reference triad not declared! ".op(object_name,3));
        end_if;
        GlobalObserverDefinitions[op(object_name,1)]["Point"]:=op(object_name,2);
        GlobalObserverDefinitions[op(object_name,1)]["Triad"]:=op(object_name,3);
        GlobalObjectDefinitions[op(object_name,1)]:=[];
      end_if;
    else 
      if not Mambo::IsDeclared(op(object_name,2),object_type) then
        error("Undeclared argument! ".op(object_name,2));
      else
        path:=Mambo::FindPath(op(object_name,1),op(object_name,2),eval(Global.object_type.Declarations));
        if nops(path)>0 then
          error("Path already exists ".path);
        end_if;
      end_if;
      (Global.object_type.Declarations)[op(object_name,1)]:=                       
        eval((Global.object_type.Declarations)[op(object_name,1)]) union {op(object_name,2)};
      (Global.object_type.Declarations)[op(object_name,2)]:=
        eval((Global.object_type.Declarations)[op(object_name,2)]) union {op(object_name,1)};  
      (Global.object_type.Definitions)[op(object_name,1),op(object_name,2)]:=
        if object_type=`Point` then
          Mambo::MakeTranslations(op(object_name,3..nops(object_name)));
        else
          Mambo::MakeRotations(op(object_name,3..nops(object_name)));
        end_if;
      (Global.object_type.Definitions)[op(object_name,2),op(object_name,1)]:=
        if object_type=`Point` then
          Mambo::MamboMult(-1, eval((Global.object_type.Definitions)[op(object_name,1),op(object_name,2)]));
        else
         transpose(eval((Global.object_type.Definitions)[op(object_name,1),op(object_name,2)]));
        end_if;
    end_if;
    return();
  end_proc: