Mambo::FindRotation:=proc(triad1:DOM_IDENT,triad2:DOM_IDENT)
  local path,conn;
  begin
    if triad1=triad2 then
      return(matrix(3,3,(i,j)->kroneckerDelta(i,j)));
    end_if;
    if contains(GlobalTriadDefinitions,triad1,triad2) then    
      return(GlobalTriadDefinitions[triad1,triad2]);
    else
      path:=Mambo::FindPath(triad1,triad2,GlobalTriadDeclarations);
      if nops(path)=0 then
        error("No path exists between the triads! ".triad1." ".triad2)
      end_if;
      for conn from 3 to nops(path) do 
        if not contains(GlobalTriadDefinitions,triad1,path[conn]) then
          GlobalTriadDefinitions[triad1,path[conn]]:= 
            GlobalTriadDefinitions[triad1,path[conn-1]]*
              GlobalTriadDefinitions[path[conn-1],path[conn]]; 
          GlobalTriadDefinitions[path[conn],triad1]:=
            transpose(GlobalTriadDefinitions[triad1,path[conn]])
        end_if;
      end_for;
      return(GlobalTriadDefinitions[triad1,triad2]);
    end_if;
  end_proc: