Mambo::MakeDescription:=proc(object_name:Type::ListOf(MamboVector),rows:Type::Integer)
  local rest;
  begin
    cols:=nops(object_name) div rows;
    rest:=nops(object_name) mod rows;
    if rest<>0 then error("Incorrect dimension!"); end_if;
    return(MamboDescription(table(["Type"="Description","Size"=[rows,cols],
                  _seqgen(_seqgen((i,j)=object_name[cols*(i-1)+j],i,1..rows),j,1..cols)])));
  end_proc: