Mambo::MamboCross := proc(ev1,ev2)
  local result,i,j,rotation;
  begin
    result:=Mambo::NullVector();
    for i from 1 to ev1["Size"] do
      for j from 1 to ev2["Size"] do
        rotation:=Mambo::FindRotation(ev1[i]["Triad"],ev2[j]["Triad"]);
        result:=Mambo::MamboPlus(result,MamboVector(table(["Type" = "Vector", "Size" = 1, 
          1=table(["Coordinates" =linalg::crossProduct(ev1[i]["Coordinates"],
            rotation*ev2[j]["Coordinates"]),
              "Triad" = ev1[i]["Triad"]])])));
      end_for;
    end_for;
    return(Mambo::ClearZero(result));
  end_proc: