Mambo::MamboMult := proc(scal:Type::Arithmetical, ev:Type::Union(MamboVector,MamboDescription))
  local local_ev,i,j;
  begin
    local_ev:=op(ev);
    if testtype(ev,MamboVector) then
      if scal=0 then 
        return(Mambo::NullVector());
      end_if;
      for i from 1 to ev["Size"] do
        local_ev[i]["Coordinates"]:=scal*ev[i]["Coordinates"];
      end_for;
      return(MamboVector(local_ev));
    else  
      for i from 1 to ev["Size"][1] do
        for j from 1 to ev["Size"][2] do
          local_ev[i,j]:=Mambo::MamboMult(scal,ev[i,j]);
        end_for;
      end_for;
      return(MamboDescription(local_ev));
    end_if;
  end_proc:
