Mambo::_MakeTranslation:=proc(object_name)
  local direction,axis;
  begin
    if args(0)=1 and testtype(object_name,MamboVector) then return(object_name); 
    elif args(0)>1 and not Mambo::IsDeclared(object_name,`Triad`) then
      error("Triad not declared! ".object_name);
    elif args(0)=2 then
      axis:=args(2);
      direction:=matrix(3,1,(i,j)->kroneckerDelta(i,axis));
    elif args(0)=4 then
      direction:=matrix([args(2..args(0))]);
    else error("Invalid argument");
    end_if;
    return(Mambo::ClearZero(MamboVector(table("Type"="Vector","Size"=1,1 = table("Coordinates"=direction,"Triad"=object_name)))));
  end_proc: